'use strict';
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const formats_1 = require("../formats");
const frenchNationalIdFields_1 = __importDefault(require("./frenchNationalIdFields"));
const getResult_1 = require("./getResult");
const FRENCH_NATIONAL_ID = formats_1.formats.FRENCH_NATIONAL_ID;
function parseFrenchNationalId(lines, options) {
    if (lines.length !== 2) {
        throw new Error(`invalid number of lines: ${lines.length}: Must be 2 for ${FRENCH_NATIONAL_ID}`);
    }
    lines.forEach((line, index) => {
        if (line.length !== 36) {
            throw new Error(`invalid number of characters for line ${index + 1}: ${line.length}. Must be 36 for ${FRENCH_NATIONAL_ID}`);
        }
    });
    return (0, getResult_1.getResult)(FRENCH_NATIONAL_ID, lines, frenchNationalIdFields_1.default, options);
}
exports.default = parseFrenchNationalId;
//# sourceMappingURL=frenchNationalId.js.map