'use strict';
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const formats_1 = require("../formats");
const getResult_1 = require("./getResult");
const swissDrivingLicenseFields_1 = __importDefault(require("./swissDrivingLicenseFields"));
const SWISS_DRIVING_LICENSE = formats_1.formats.SWISS_DRIVING_LICENSE;
function parseSwissDrivingLicense(lines, options) {
    if (lines.length !== 3) {
        throw new Error(`invalid number of lines: ${lines.length}: Must be 3 for ${SWISS_DRIVING_LICENSE}`);
    }
    if (lines[0].length !== 9) {
        throw new Error(`invalid number of characters for line 1: ${lines[0].length}. Must be 9 for ${SWISS_DRIVING_LICENSE}`);
    }
    if (lines[1].length !== 30) {
        throw new Error(`invalid number of characters for line 2: ${lines[1].length}. Must be 30 for ${SWISS_DRIVING_LICENSE}`);
    }
    if (lines[2].length !== 30) {
        throw new Error(`invalid number of characters for line 3: ${lines[2].length}. Must be 30 for ${SWISS_DRIVING_LICENSE}`);
    }
    return (0, getResult_1.getResult)(SWISS_DRIVING_LICENSE, lines, swissDrivingLicenseFields_1.default, options);
}
exports.default = parseSwissDrivingLicense;
//# sourceMappingURL=swissDrivingLicense.js.map