'use strict';
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const formats_1 = require("../formats");
const getResult_1 = require("./getResult");
const td1Fields_1 = __importDefault(require("./td1Fields"));
const TD1 = formats_1.formats.TD1;
function parseTD1(lines, options) {
    if (lines.length !== 3) {
        throw new Error(`invalid number of lines: ${lines.length}: Must be 3 for ${TD1}`);
    }
    lines.forEach((line, index) => {
        if (line.length !== 30) {
            throw new Error(`invalid number of characters for line ${index + 1}: ${line.length}. Must be 30 for ${TD1}`);
        }
    });
    return (0, getResult_1.getResult)(TD1, lines, td1Fields_1.default, options);
}
exports.default = parseTD1;
//# sourceMappingURL=td1.js.map