'use strict';
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const formats_1 = require("../formats");
const getResult_1 = require("./getResult");
const td2Fields_1 = __importDefault(require("./td2Fields"));
const TD2 = formats_1.formats.TD2;
function parseTD2(lines, options) {
    if (lines.length !== 2) {
        throw new Error(`invalid number of lines: ${lines.length}: Must be 2 for ${TD2}`);
    }
    lines.forEach((line, index) => {
        if (line.length !== 36) {
            throw new Error(`invalid number of characters for line ${index + 1}: ${line.length}. Must be 36 for TD2`);
        }
    });
    return (0, getResult_1.getResult)(TD2, lines, td2Fields_1.default, options);
}
exports.default = parseTD2;
//# sourceMappingURL=td2.js.map