'use strict';
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const formats_1 = require("../formats");
const getResult_1 = require("./getResult");
const td3Fields_1 = __importDefault(require("./td3Fields"));
const TD3 = formats_1.formats.TD3;
function parseTD3(lines, options) {
    if (lines.length !== 2) {
        throw new Error(`invalid number of lines: ${lines.length}: Must be 2 for ${TD3}`);
    }
    lines.forEach((line, index) => {
        if (line.length !== 44) {
            throw new Error(`invalid number of characters for line ${index + 1}: ${line.length}. Must be 44 for TD3`);
        }
    });
    return (0, getResult_1.getResult)(TD3, lines, td3Fields_1.default, options);
}
exports.default = parseTD3;
//# sourceMappingURL=td3.js.map